# Class StructuredLogBufferAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>
org.apache.sling.mcp.server.impl.contribs.log.StructuredLogBufferAppender

All Implemented Interfaces:
  `ch.qos.logback.core.Appender<ch.qos.logback.classic.spi.ILoggingEvent>, ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.FilterAttachable<ch.qos.logback.classic.spi.ILoggingEvent>, ch.qos.logback.core.spi.LifeCycle`

public class StructuredLogBufferAppender extends ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`StructuredLogBufferAppender(org.apache.sling.mcp.server.impl.contribs.log.StructuredLogBufferSink buffer)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`append(ch.qos.logback.classic.spi.ILoggingEvent eventObject)`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, start, stop, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### StructuredLogBufferAppender

public StructuredLogBufferAppender(org.apache.sling.mcp.server.impl.contribs.log.StructuredLogBufferSink buffer)

## Method Details

### append

protected void append(ch.qos.logback.classic.spi.ILoggingEvent eventObject)

Specified by:
  `append` in class `ch.qos.logback.core.AppenderBase<ch.qos.logback.classic.spi.ILoggingEvent>`